<?php
/**
 * Plugin Name: New Twitter Button
 * Plugin URI: http://www.dantaylorseo.com/programming/add-twitter-button-to-your-wordpress-blog
 * Description: The Twitter.com button.
 * Version: 0.2
 * Author: Dan Taylor
 * Author URI: http://www.dantaylorseo.com/
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */



function twitter_button_output($out ='') {
	
	$options = unserialize(get_option('twitter_button_options'));
	$options = twitter_button_defaults($options);
	
	global $post;
	
	if($options['twitter_button_type1'] == 1) { 
		$tweettype = 'none'; 
	} elseif($options['twitter_button_type1'] == 2) {
		$tweettype = 'horizontal';
	} elseif($options['twitter_button_type1']==3) {
		$tweettype = 'vertical';
	} else {
		$tweettype = 'vertical';
	}
	
	if($options['twitter_button_type2'] == 1) { 
		$tweettype2 = 'none'; 
	} elseif($options['twitter_button_type2'] == 2) {
		$tweettype2 = 'horizontal';
	} elseif($options['twitter_button_type2']==3) {
		$tweettype2 = 'vertical';
	} else {
		$tweettype2 = 'horizontal';
	}
	if($options['twitter_button_account'] != '')
	{
		$twittervia	= ' data-via="'.$options['twitter_button_account'].'" ';
	} else {
		$twittervia	= '';
	}
	
	$headerbut = '<div style="float: left; margin-right: 10px; margin-bottom: 10px;">
<a href="http://twitter.com/share" class="twitter-share-button" data-url="'.get_permalink($post->ID).'" data-text="'.the_title('','',false).'" data-count="'.$tweettype.'" '.$twittervia.'>Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>
</div>';
	
	$footerbut = '<div style="display:block;">
<a href="http://twitter.com/share" class="twitter-share-button" data-url="'.get_permalink($post->ID).'" data-text="'.the_title('','',false).'" data-count="'.$tweettype2.'" '.$twittervia.'>Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>
</div>';
	if(!is_home()) {	
		return $headerbut.$out.$footerbut;
	} else {
		return $headerbut.$out;
	}
}

function twitter_button_defaults($options) {
	if (!$options['twitter_button_type1']) $options['twitter_button_type1'] = 3;
	if (!$options['twitter_button_type2']) $options['twitter_button_type2'] = 2;
	if (!$options['twitter_button_account']) $options['twitter_button_account'] = '';
	return $options;
}

function register_mysettings() {
	//register our settings
	register_setting( 'twitter-group', 'twitter_button_type1' );
	register_setting( 'twitter-group', 'twitter_button_type2' );
	register_setting( 'twitter-group', 'twitter_button_account' );
}

function twitter_button_options() {
	if ($_POST["twitter_button_submit"]) {
		
		$submitted_options = array();				
		$submitted_options['twitter_button_type1'] = stripslashes($_POST["twitter_button_type1"]);
		$submitted_options['twitter_button_type2'] = stripslashes($_POST["twitter_button_type2"]);
		$submitted_options['twitter_button_account'] = stripslashes($_POST["twitter_button_account"]);
		update_option('twitter_button_options', serialize($submitted_options));
	}
	
	$options = unserialize(get_option('twitter_button_options'));
	$options = twitter_button_defaults($options);
echo '
		<div>
		<form method="post" action="options.php">';
 settings_fields( 'twitter-group' ); 

echo '
		<div class="wrap">
			<h2>Twitter Button</h2>
			<h3 class="title">Configuration</h3>				
			<div style="float: left; width: 330px;">
			<dl>
				
				<dt>
					<label for="twitter_button_type1">Top Button Count Display Position</label>
				</dt>
					<dd>
						<select name="twitter_button_type1" id="twitter_button_type1">
						  <option value="1" '. (get_option('twitter_button_type1') == 1 ? 'selected="selected"' : '') . '>None</option>
						  <option value="2" '. (get_option('twitter_button_type1') == 2 ? 'selected="selected"' : '') . '>Horizontal</option>
						  <option value="3 "'. (get_option('twitter_button_type1') == 3 ? 'selected="selected"' : '') . '>Vertical</option>
						</select>
					</dd>	
					
					<dt>
					<label for="twitter_button_type">Bottom Button Count Display Position</label>
				</dt>
					<dd>
						<select name="twitter_button_type2" id="twitter_button_type2">
						  <option value="1" '. (get_option('twitter_button_type2') == 1 ? 'selected="selected"' : '') . '>None</option>
						  <option value="2" '. (get_option('twitter_button_type2') == 2 ? 'selected="selected"' : '') . '>Horizontal</option>
						  <option value="3 "'. (get_option('twitter_button_type2') == 3 ? 'selected="selected"' : '') . '>Vertical</option>
						</select>
					</dd>
					
					<dt>
					<label for="twitter_button_type">Your Twitter Account</label>
				</dt>
					<dd>
						<input type="text" name="twitter_button_account" value="'. (isset($options['twitter_button_account']) ? $options['twitter_button_account'] : '') . '" />
					</dd>
																
			</dl>
			
			<p class="submit">
    <input type="submit" class="button-primary" value="Save Changes" />
    </p>
		</div>
		</form>
		</div>
		<div style="float: left; width: 200px;><img src="/wp-content/plugins/new-twitter-button/twitterlayout.png" /></div>
		<div style="clear:both;"></div>
		</div>	
	';
}

function add_twitter_button_plugin_submenu() {
    add_submenu_page('options-general.php', 'Twitter Button', 'Twitter Button', 10, __FILE__, 'twitter_button_options'); 
}
add_action( 'admin_init', 'register_mysettings' );
add_action('admin_menu', 'add_twitter_button_plugin_submenu');
add_action('the_content', 'twitter_button_output', 5);

?>